<?php

namespace Drupal\font_resize\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'ResizeBlock' block.
 *
 * @Block(
 *  id = "resize_block",
 *  admin_label = @Translation("Resize block"),
 * )
 */
class ResizeBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {

    $label_plus = $this->t('Increase Font Size');
    $label_minus = $this->t('Reduce Font Size');
    $label_original = $this->t('Reset Font Size');

    $markup = '<div class="box">';
    $markup .= '<a class="font_resize-button" id="font_resize-minus" aria-label="' . $label_minus . '" tabindex="0" href="#">A-</a> ';
    $markup .= '<a class="font_resize-button" id="font_resize-default" aria-label="' . $label_original . '" tabindex="0" href="#">A</a> ';
    $markup .= '<a class="font_resize-button" id="font_resize-plus" aria-label="' . $label_plus . '" tabindex="0" href="#">A+</a> ';
    $markup .= '</div>';

    return [
      '#type' => 'markup',
      '#attached' => [
        'library' => [
          'font_resize/font_resize',
          'font_resize/font_resize_example',
        ],
      ],
      '#markup' => $markup,
    ];
  }

}
